package org.springblade.third.doordevice.feign;

import org.springblade.third.doordevice.entity.QinlinConfig;
import org.springblade.third.doordevice.vo.QinlinConfigVO;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class QinlinConfigClientFallback implements IQinlinConfigClient {
            /**
         * 详情
         */
        @Override
        public QinlinConfigVO detail(QinlinConfig qinlinConfig) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<QinlinConfigVO> list(QinlinConfig qinlinConfig) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( QinlinConfig qinlinConfig) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( QinlinConfig qinlinConfig) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( QinlinConfig qinlinConfig) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

    }
